<?php
class Formats {

	/**
	* @access private static
	* @var array
	*/
	private static $audioCodecs     = array("mpga","mp3","mp4a");

	/**
	* @access private static
	* @var array
	*/
	private static $videoCodecs     = array("DIV3","MP43","WMV1","WMV2","H263");

	/**
	* @access private static
	* @var array
	*/
	private static $audioBitrate    = array(60);

	/**
	* @access private static
	* @var array
	*/
	private static $videoBitrate    = array(100,150,300,500,750,900,2000);

	/**
	* @access private static
	* @var array
	*/
	private static $videoScale      = array("1.0");

	/**
	* @access private static
	* @var int
	*/
	private static $videoChannel    = 1;

	/**
	* @access private static
	* @var array
	*/
	private static $videoDimensions = array("176x144","382x288","512x288","768x432","1024x576");

	/**
	* @access private static
	* @var array
	*/
	private static $videoFrameRates = array(10,15,20,25);

	/**
	* @access private static
	* @var array
	*/
	private static $streamTypes     = array("http","udp","mmsh","rtp");

	/**
	* Get the audio codecs in an array format.
	* @return array
	*/
	static public function getAudioCodecs() {
		return Formats::$audioCodecs;
	}

	/**
	* Get the video codecs in an array format.
	* @return array
	*/
	static public function getVideoCodecs() {
		return Formats::$videoCodecs;
	}

	/**
	* Get the audio bitrates in an array format.
	* @return array
	*/
	static public function getAudioBitrates() {
		return Formats::$audioBitrate;
	}

	/**
	* Get the video bitrates in an array format.
	* @return array
	*/
	static public function getVideoBitrates() {
		return Formats::$videoBitrate;
	}

	/**
	* Get the video scale in an array format.
	* @return array
	*/
	static public function getScales() {
		return Formats::$videoScale;
	}

	/**
	* Get the video channel.
	* @return int
	*/
	static public function getVideoChannel() {
		return Formats::$videoChannel;
	}

	/**
	* Get the frame dimensions in array format.
	* @return array
	*/
	static public function getDimensions() {
		return Formats::$videoDimensions;
	}

	/**
	* Get the frame rates in array format.
	* @return array
	*/
	static public function getFrameRates() {
		return Formats::$videoFrameRates;
	}

	/**
	* Get the stream types in an array format.
	* @return array
	*/
	static public function getStreamTypes() {
		return Formats::$streamTypes;
	}
}
?>
