<?php

class Recording {

	/**
	* @access private
	* @var string
	*/
	private $lID;

	/**
	* @access private
	* @var string
	*/
	private $lName;


	private $lDescription;
	private $lServiceName;
	private $lStartTime;
	private $lDuration;
	private $lFilename;
	private $lFileSize;




	/**
	* @access private
	* @var string
	*/
	private $lIPNummer;

	/**
	* @access private
	* @var string
	*/
	private $lType;


	/**
	* Constructor. This creates a Channel object.
	* @param int $pID
	* @param string $pIP
	* @param string $pType
	* @param string $pName
	* @return Channel
	*/
	function __construct($pID,$pIP,$pType,$pName, $pDescription, $pServiceName, $pStartTime, $pDuration, $pFilename, $plFileSize) {
		$this->lID = trim($pID);
		$this->lIPNummer = trim($pIP);
		$this->lType = trim($pType);
		$this->lName = trim($pName);
		$this->lDescription = trim($pDescription);
		$this->lServiceName = trim($pServiceName);
		$this->lStartTime = trim($pStartTime);
		$this->lDuration = trim($pDuration);
		$this->lFilename = trim($pFilename);
		$this->lFileSize = trim($plFileSize);
	}

	/**
	* Get the channel ID.
	* @return string
	*/
	public function getID() {
		return trim($this->lID);
	}

	/**
	* Get the channel name.
	* @return string
	*/
	public function getName() {
		return trim($this->lName);
	}

	public function getDescription() {
                return trim($this->lDescription);
        }

	public function getServiceName() {
                return trim($this->lServiceName);
        }

	public function getStartTime() {
                return trim($this->lStartTime);
        }

	public function getDuration() {
                return trim($this->lDuration);
        }

	public function getFilename() {
		$lStartPos = strripos($this->lFilename,"/");
                return trim(substr($this->lFilename,$lStartPos+1));
        }

	public function getFileSize($pFormat) {
                return trim($this->lFileSize);
        }

}

?>
